aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-06-03 06:25:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-06-03 06:25:55 +0000
commit913ed91cdb9690cccf940b7263dea363c4bffc61 (patch)
treee0e6b26bb0e760ec61d9787f69fb67776b8878b1 /unmaintained
parent5380e45bb4bccdc93280f5dbd7d4cd20e651aa3a (diff)
downloadaports-913ed91cdb9690cccf940b7263dea363c4bffc61.tar.gz
aports-913ed91cdb9690cccf940b7263dea363c4bffc61.tar.bz2
aports-913ed91cdb9690cccf940b7263dea363c4bffc61.tar.xz
testing/oxygen-gtk: moved to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/oxygen-gtk/APKBUILD42
-rw-r--r--unmaintained/oxygen-gtk/isnan.patch20
2 files changed, 62 insertions, 0 deletions
diff --git a/unmaintained/oxygen-gtk/APKBUILD b/unmaintained/oxygen-gtk/APKBUILD
new file mode 100644
index 0000000000..9e32f06beb
--- /dev/null
+++ b/unmaintained/oxygen-gtk/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=oxygen-gtk
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="gtk+ oxygen port"
+url="http://www.kde.org/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="gtk+-dev"
+makedepends="$depends_dev cmake"
+install=""
+subpackages=
+source="http://kde.mirrors.tds.net/pub/kde/stable/oxygen-gtk/$pkgver/src/oxygen-gtk-$pkgver.tar.bz2
+ isnan.patch"
+
+_builddir="$srcdir"/oxygen-gtk-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ mkdir "$_builddir"/build
+}
+
+build() {
+ cd "$_builddir"/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="bacbe2be37db8e8fb3e60a3e13be7fb8 oxygen-gtk-1.1.0.tar.bz2
+7425615ff80fd7afb0b90e6bed613f62 isnan.patch"
diff --git a/unmaintained/oxygen-gtk/isnan.patch b/unmaintained/oxygen-gtk/isnan.patch
new file mode 100644
index 0000000000..5e2d27477d
--- /dev/null
+++ b/unmaintained/oxygen-gtk/isnan.patch
@@ -0,0 +1,20 @@
+--- oxygen-gtk-1.0.5.orig/src/oxygencolorutils.cpp
++++ oxygen-gtk-1.0.5/src/oxygencolorutils.cpp
+@@ -460,7 +460,7 @@
+ {
+ if( amount <= 0.0 ) return base;
+ if( amount >= 1.0 ) return color;
+- if( isnan( amount ) ) return base;
++ if( __isnan( amount ) ) return base;
+
+ double ri = contrastRatio( base, color );
+ double rg = 1.0 + ( ( ri + 1.0 ) * amount * amount * amount );
+@@ -487,7 +487,7 @@
+ {
+ if( bias <= 0.0 ) return c1;
+ if( bias >= 1.0 ) return c2;
+- if( isnan( bias ) ) return c1;
++ if( __isnan( bias ) ) return c1;
+
+ double r = mixdouble( c1.red(), c2.red(), bias );
+ double g = mixdouble( c1.green(), c2.green(), bias );